[PC-BSD Pbi-dev] doomlegacy does not work

Ken Moore ken at pcbsd.org
Tue Oct 19 17:11:26 PDT 2010


On 10/19/2010 17:36, Dru Lavigne wrote:
>
>
>
>
>
>
>
> The 64-bit version of doomlegacy is missing a runtime library:
>
> Using existing ~/.doomlegacy directory.
> /libexec/ld-elf.so.1: Shared object "libSDL_mixer-1.2.so.10" not found, required by "lsdldoom"
>
> Including sdl_mixer should fix the PBI problem. Unfortunately the real problem is with the underlying port which gives this error:
>
> Using existing ~/.doomlegacy directory.
> Bus error
>
> This PBI should be removed until this can be fixed.
>
> I think the 32-bit PBI works, but the hardware on my test system is too old to test it properly. Can someone else confirm that the 32-bit PBI is OK?
>
> Cheers,
>
> Dru
>
>   		 	   		
>
>
>
> _______________________________________________
> Pbi-dev mailing list
> Pbi-dev at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/pbi-dev

I just verified this. While the 32-bit version of doomLegacy works fine, 
the 64-bit version does not.

I removed the latest 64-bit versions from PBIDIR. So now we just need to 
wait and see if the port will get fixed.

~Ken Moore



More information about the Pbi-dev mailing list